<?php
/**
 * The Template Name: Home Page
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Classic Landing Page
 */

get_header(); ?>

<div id="content">
<?php
    $classic_landing_page_hidepageboxes_1 = get_theme_mod('classic_landing_page_disabled_pgboxes_1', true);
    if( $classic_landing_page_hidepageboxes_1 != ''){
  ?>
  <div id="head-banner">
    <?php $classic_landing_page_querymed = new WP_query('page_id='.esc_attr(get_theme_mod('classic_landing_page_pageboxes',true)) ); ?>
      <?php while( $classic_landing_page_querymed->have_posts() ) : $classic_landing_page_querymed->the_post(); ?>
        <div class="img-inner-box">
          <?php if (has_post_thumbnail() ){ ?><?php the_post_thumbnail();?><?php } ?>
        </div>
        <div class="content-inner-box">
          <?php if ( get_theme_mod('classic_landing_page_pgboxes_title') != "") { ?>
            <h6><?php echo esc_html(get_theme_mod('classic_landing_page_pgboxes_title','')); ?></h6>
          <?php } ?>
          <h2><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h2> 
          <p><?php echo wp_trim_words( get_the_content(), get_theme_mod('classic_landing_page_banner_excerpt_number',40) ); ?></p>
          <div class="pagemore">
            <a href="<?php the_permalink(); ?>">
              <?php esc_html_e('GO NOW','classic-landing-page'); ?>
            </a>
          </div>
        </div>
      <?php endwhile; wp_reset_postdata(); ?>
    <div class="clear"></div>
  </div>
  <?php }?>
  <?php
    $classic_landing_page_hidepageboxes = get_theme_mod('classic_landing_page_disabled_pgboxes', true);
    if( $classic_landing_page_hidepageboxes != ''){
  ?>
    <div id="services_section" class="text-center">
      <div class="container">
        <?php if ( get_theme_mod('classic_landing_page_title') != "") { ?>
          <h3><?php echo esc_html(get_theme_mod('classic_landing_page_title','')); ?></h3>
        <?php } ?>
        <div class="row">
          <?php for($p=0; $p<8; $p++) { ?>
          <?php if( get_theme_mod('classic_landing_page_pageboxes'.$p,false)) { ?>
            <?php $classic_landing_page_querymed = new WP_query('page_id='.esc_attr(get_theme_mod('classic_landing_page_pageboxes'.$p,true) ) ); ?>
              <?php while( $classic_landing_page_querymed->have_posts() ) : $classic_landing_page_querymed->the_post(); ?>
              <div class="col-lg-3 col-md-6 col-sm-6">
                <div class="pagecontent mb-4">
                  <?php if (has_post_thumbnail() ){ ?>
                    <div class="thumbbx"><?php the_post_thumbnail();?></div>
                  <?php } ?>
                  <div class="text-inner-box">
                    <h4 class="mb-0"><a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a></h4> 
                  </div>
                </div>
              </div>
            <?php endwhile; wp_reset_postdata(); ?>
          <?php } } ?>
          <div class="clear"></div>
        </div>
      </div>
    </div>
  <?php }?>

</div>

<?php get_footer(); ?>